Mail archive
alpine-aports

[alpine-aports] [PATCH 09/15] testing/perl-file-copy-recursive: new aport

From: Stuart Cardall <developer_at_it-offshore.co.uk>
Date: Sat, 12 Dec 2015 12:25:20 +0000

---
 testing/perl-file-copy-recursive/APKBUILD | 34 +++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 testing/perl-file-copy-recursive/APKBUILD
diff --git a/testing/perl-file-copy-recursive/APKBUILD b/testing/perl-file-copy-recursive/APKBUILD
new file mode 100644
index 0000000..d68d559
--- /dev/null
+++ b/testing/perl-file-copy-recursive/APKBUILD
_at_@ -0,0 +1,34 @@
+# Contributor: Stuart Cardall <developer_at_it-offshore.co.uk>
+# Maintainer: Stuart Cardall <developer_at_it-offshore.co.uk>
+pkgname=perl-file-copy-recursive
+pkgver=0.38
+_realname=File-Copy-Recursive-$pkgver
+pkgrel=0
+pkgdesc="Perl extension for recursively copying files and directories"
+url="http://search.cpan.org/dist/File-Copy-Recursive/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/D/DM/DMUEY/$_realname.tar.gz"
+
+_builddir="$srcdir"/$_realname
+
+build() {
+	cd "$_builddir"
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="e76dc75ab456510d67c6c3a95183f72f  File-Copy-Recursive-0.38.tar.gz"
+sha256sums="84ccbddf3894a88a2c2b6be68ff6ef8960037803bb36aa228b31944cfdf6deeb  File-Copy-Recursive-0.38.tar.gz"
+sha512sums="49e5dbfc5bdbc554ad8a019c25db85ebfa55765a73758d95271b5f3de9550fd68b4d99aa287898d86bc6c11ea8de97469a85c53d4ad8534594b411be1f18eb87  File-Copy-Recursive-0.38.tar.gz"
-- 
2.6.3
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sat Dec 12 2015 - 12:25:20 GMT